package com.mosty.hczx.service;

import com.mosty.base.model.dto.hczx.TbHcSydjQueryDto;
import com.mosty.base.model.dto.hczx.TbHcSydjSaveDto;
import com.mosty.base.model.entity.hczx.TbHcSydj;
import com.mosty.base.model.vo.hczx.TbHcSydjVo;
import io.swagger.annotations.ApiOperation;

public interface TbHcSydjServer {

    @ApiOperation("保存或者修改涉疫登记信息")
    void sydjSaveOrEdit(TbHcSydjSaveDto dto);
    @ApiOperation("保存涉疫登记信息")
    void editSydj(TbHcSydjSaveDto dto);
    @ApiOperation("根据身份证号码和盘查Id查询人员涉疫登记信息")
    TbHcSydjVo getRySydjInfo(TbHcSydjQueryDto dto);
}
